# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/regulator/raspberrypi,7inch-touchscreen-panel-regulator-v2.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: RaspberryPi 5" and 7" display V2 MCU-based regulator/backlight controller

maintainers:
  - Marek Vasut <marek.vasut+renesas@mailbox.org>

description: |
  The RaspberryPi 5" and 7" display 2 has an MCU-based regulator, PWM
  backlight and GPIO controller on the PCB, which is used to turn the
  display unit on/off and control the backlight.

allOf:
  - $ref: regulator.yaml#

properties:
  compatible:
    const: raspberrypi,touchscreen-panel-regulator-v2

  reg:
    maxItems: 1

  gpio-controller: true
  "#gpio-cells":
    const: 2
    description:
      The first cell is the pin number, and the second cell is used to
      specify the gpio polarity (GPIO_ACTIVE_HIGH or GPIO_ACTIVE_LOW).

  "#pwm-cells":
    const: 3
    description: See ../../pwm/pwm.yaml for description of the cell formats.

additionalProperties: false

required:
  - compatible
  - reg
  - gpio-controller
  - "#gpio-cells"
  - "#pwm-cells"

examples:
  - |
    i2c {
      #address-cells = <1>;
      #size-cells = <0>;
      regulator@45 {
        compatible = "raspberrypi,touchscreen-panel-regulator-v2";
        reg = <0x45>;
        gpio-controller;
        #gpio-cells = <2>;
        #pwm-cells = <3>;
      };
    };

...
